Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Get report
        • Create report
        • Update report
        • Delete report
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • DashColorByTheme
  • DashStringDefaultValue
  • DashControlSourceExternal
  • DashControlElement
  • DashControlSourceDataset
  • DashControlSourceManual
  • DashLayoutItem
  • DashConnection
  • ReportData
  • DashMeta
  • EntryAnnotationArg
  • EntryLocationIdentifiers
  • Responses
  • 200 OK
  • Body
  • EntryAnnotation
  • ReportV1
  • EntryPermissions
  1. DataLens Public API
  2. DataLens API
  3. Reports
  4. Create report
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
    • DashColorByTheme
    • DashStringDefaultValue
    • DashControlSourceExternal
    • DashControlElement
    • DashControlSourceDataset
    • DashControlSourceManual
    • DashLayoutItem
    • DashConnection
    • ReportData
    • DashMeta
    • EntryAnnotationArg
    • EntryLocationIdentifiers
  • Responses
  • 200 OK
    • Body
    • EntryAnnotation
    • ReportV1
    • EntryPermissions

Create report

Creates a new report.

RequestRequest

POST

https://api.datalens.tech/rpc/createReport

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "data": {
    "counter": 1,
    "salt": "example",
    "version": 1,
    "slides": [
      {
        "id": "example"
      }
    ],
    "slideGroups": [
      {
        "id": "example",
        "items": [
          null
        ],
        "layout": [
          null
        ],
        "aliases": {},
        "connections": [
          null
        ]
      }
    ],
    "slidesOrder": [
      "example"
    ],
    "visualSettings": {
      "backgroundColor": "example",
      "backgroundSettings": {
        "color": null
      },
      "borderRadius": 0.5,
      "widgetsSettings": {
        "borderRadius": 0.5,
        "internalMarginsEnabled": true
      },
      "theme": "example",
      "contrast": "example",
      "format": "example",
      "orientation": "example",
      "displayVisualGrid": "example",
      "displayDefaultFooter": "example",
      "footerText": "example",
      "displayLink": "example",
      "footerLink": "example",
      "displayOnFirstPage": "example",
      "displayPageNumber": "example"
    },
    "slideSettings": {},
    "settings": {
      "enableAssistant": true,
      "dependentSelectors": true,
      "loadOnlyVisibleCharts": true
    },
    "supportDescription": "example",
    "accessDescription": "example"
  },
  "meta": {},
  "annotation": {
    "description": "example"
  },
  "includePermissions": true,
  "key": "example",
  "workbookId": "example",
  "name": "example"
}
All of 2 types
  • Type: object

    data

    Type: ReportData

    Example
    {
      "counter": 1,
      "salt": "example",
      "version": 1,
      "slides": [
        {
          "id": "example"
        }
      ],
      "slideGroups": [
        {
          "id": "example",
          "items": [
            {}
          ],
          "layout": [
            {
              "i": "example",
              "h": 0.5,
              "w": 0.5,
              "x": 0.5,
              "y": 0.5,
              "parent": "example"
            }
          ],
          "aliases": {
            "default": [
              [
                null,
                null
              ]
            ]
          },
          "connections": [
            {
              "from": "example",
              "to": "example",
              "kind": "ignore"
            }
          ]
        }
      ],
      "slidesOrder": [
        "example"
      ],
      "visualSettings": {
        "backgroundColor": "example",
        "backgroundSettings": {
          "color": {
            "light": "example",
            "dark": "example"
          }
        },
        "borderRadius": 0.5,
        "widgetsSettings": {
          "borderRadius": 0.5,
          "internalMarginsEnabled": true
        },
        "theme": "example",
        "contrast": "example",
        "format": "example",
        "orientation": "example",
        "displayVisualGrid": "example",
        "displayDefaultFooter": "example",
        "footerText": "example",
        "displayLink": "example",
        "footerLink": "example",
        "displayOnFirstPage": "example",
        "displayPageNumber": "example"
      },
      "slideSettings": {},
      "settings": {
        "enableAssistant": true,
        "dependentSelectors": true,
        "loadOnlyVisibleCharts": true
      },
      "supportDescription": "example",
      "accessDescription": "example"
    }
    

    meta

    Type: DashMeta

    Example
    {}
    

    annotation

    Type: EntryAnnotationArg

    Example
    {
      "description": "example"
    }
    

    includePermissions

    Type: boolean

    Example
    {
      "data": {
        "counter": 1,
        "salt": "example",
        "version": 1,
        "slides": [
          {
            "id": "example"
          }
        ],
        "slideGroups": [
          {
            "id": "example",
            "items": [
              null
            ],
            "layout": [
              {}
            ],
            "aliases": {
              "default": [
                null
              ]
            },
            "connections": [
              {}
            ]
          }
        ],
        "slidesOrder": [
          "example"
        ],
        "visualSettings": {
          "backgroundColor": "example",
          "backgroundSettings": {
            "color": {}
          },
          "borderRadius": 0.5,
          "widgetsSettings": {
            "borderRadius": 0.5,
            "internalMarginsEnabled": true
          },
          "theme": "example",
          "contrast": "example",
          "format": "example",
          "orientation": "example",
          "displayVisualGrid": "example",
          "displayDefaultFooter": "example",
          "footerText": "example",
          "displayLink": "example",
          "footerLink": "example",
          "displayOnFirstPage": "example",
          "displayPageNumber": "example"
        },
        "slideSettings": {},
        "settings": {
          "enableAssistant": true,
          "dependentSelectors": true,
          "loadOnlyVisibleCharts": true
        },
        "supportDescription": "example",
        "accessDescription": "example"
      },
      "meta": {},
      "annotation": {
        "description": "example"
      },
      "includePermissions": true
    }
    
  • Type: EntryLocationIdentifiers

    Example
    {
      "key": "example",
      "workbookId": "example",
      "name": "example"
    }
    

DashColorByThemeDashColorByTheme

Name

Description

dark

Type: string

Color for the dark theme.

Example: example

light

Type: string

Color for the light theme.

Example: example

Example
{
  "light": "example",
  "dark": "example"
}

DashStringDefaultValueDashStringDefaultValue

Any of 2 types
  • Type: string

    Example: example

  • Type: string[]

    Example
    [
      "example"
    ]
    

Example: example

DashControlSourceExternalDashControlSourceExternal

External control source.

Name

Description

chartId

Type: string

Source chart identifier.

Min length: 1

Example: example

Example
{
  "chartId": "example"
}

DashControlElementDashControlElement

One of 4 types
  • Type: object

    elementType

    Type: string

    Select control type.

    Const: select

    Example: example

    accentType

    Type: string | null

    Control accent style.

    Const: info

    Example: example

    defaultValue

    Any of 2 types
    • Type: string

      Example: example

    • Type: string[]

      Example
      [
        "example"
      ]
      

    Default selected value or values.

    Example: example

    fieldType

    Type: string

    Type of the field used by the control.

    Example: example

    hint

    Type: string

    Control hint text.

    Example: example

    innerTitle

    Type: string

    Title displayed inside the control.

    Example: example

    multiselectable

    Type: boolean

    Whether multiple values can be selected.

    operation

    Type: string

    Filtering operation.

    Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

    required

    Type: boolean

    Whether the control value is required.

    showHint

    Type: boolean

    Whether to show the control hint.

    showInnerTitle

    Type: boolean

    Whether to show the title inside the control.

    showTitle

    Type: boolean

    Whether to show the control title.

    titlePlacement

    Type: string

    Control title placement.

    Enum: hide, left, top

    Example
    {
      "required": true,
      "showHint": true,
      "showTitle": true,
      "hint": "example",
      "accentType": "info",
      "fieldType": "example",
      "innerTitle": "example",
      "showInnerTitle": true,
      "operation": "IN",
      "titlePlacement": "hide",
      "multiselectable": true,
      "elementType": "select",
      "defaultValue": "example"
    }
    
  • Type: object

    elementType

    Type: string

    Date control type.

    Const: date

    Example: example

    accentType

    Type: string | null

    Control accent style.

    Const: info

    Example: example

    defaultValue

    Type: string

    Default date value.

    Example: example

    fieldType

    Type: string

    Type of the field used by the control.

    Example: example

    hint

    Type: string

    Control hint text.

    Example: example

    innerTitle

    Type: string

    Title displayed inside the control.

    Example: example

    isRange

    Type: boolean

    Whether the control selects a date range.

    operation

    Type: string

    Filtering operation.

    Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

    required

    Type: boolean

    Whether the control value is required.

    showHint

    Type: boolean

    Whether to show the control hint.

    showInnerTitle

    Type: boolean

    Whether to show the title inside the control.

    showTitle

    Type: boolean

    Whether to show the control title.

    titlePlacement

    Type: string

    Control title placement.

    Enum: hide, left, top

    Example
    {
      "required": true,
      "showHint": true,
      "showTitle": true,
      "hint": "example",
      "accentType": "info",
      "fieldType": "example",
      "innerTitle": "example",
      "showInnerTitle": true,
      "operation": "IN",
      "titlePlacement": "hide",
      "isRange": true,
      "elementType": "date",
      "defaultValue": "example"
    }
    
  • Type: object

    elementType

    Type: string

    Input control type.

    Const: input

    Example: example

    accentType

    Type: string | null

    Control accent style.

    Const: info

    Example: example

    defaultValue

    Type: string

    Default input value.

    Example: example

    fieldType

    Type: string

    Type of the field used by the control.

    Example: example

    hint

    Type: string

    Control hint text.

    Example: example

    innerTitle

    Type: string

    Title displayed inside the control.

    Example: example

    operation

    Type: string

    Filtering operation.

    Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

    required

    Type: boolean

    Whether the control value is required.

    showHint

    Type: boolean

    Whether to show the control hint.

    showInnerTitle

    Type: boolean

    Whether to show the title inside the control.

    showTitle

    Type: boolean

    Whether to show the control title.

    titlePlacement

    Type: string

    Control title placement.

    Enum: hide, left, top

    Example
    {
      "required": true,
      "showHint": true,
      "showTitle": true,
      "hint": "example",
      "accentType": "info",
      "fieldType": "example",
      "innerTitle": "example",
      "showInnerTitle": true,
      "operation": "IN",
      "titlePlacement": "hide",
      "elementType": "input",
      "defaultValue": "example"
    }
    
  • Type: object

    defaultValue

    Type: string

    Default checkbox value.

    Example: example

    elementType

    Type: string

    Checkbox control type.

    Const: checkbox

    Example: example

    accentType

    Type: string | null

    Control accent style.

    Const: info

    Example: example

    fieldType

    Type: string

    Type of the field used by the control.

    Example: example

    hint

    Type: string

    Control hint text.

    Example: example

    innerTitle

    Type: string

    Title displayed inside the control.

    Example: example

    operation

    Type: string

    Filtering operation.

    Enum: IN, NIN, EQ, NE, GT, LT, GTE, LTE, ISNULL, ISNOTNULL, ISTARTSWITH, STARTSWITH, IENDSWITH, ENDSWITH, ICONTAINS, CONTAINS, NOTICONTAINS, NOTCONTAINS, BETWEEN, LENEQ, LENGT, LENGTE, LENLT, LENLTE, NO_SELECTED_VALUES

    required

    Type: boolean

    Whether the control value is required.

    showHint

    Type: boolean

    Whether to show the control hint.

    showInnerTitle

    Type: boolean

    Whether to show the title inside the control.

    showTitle

    Type: boolean

    Whether to show the control title.

    titlePlacement

    Type: string

    Control title placement.

    Enum: hide, left, top

    Example
    {
      "required": true,
      "showHint": true,
      "showTitle": true,
      "hint": "example",
      "accentType": "info",
      "fieldType": "example",
      "innerTitle": "example",
      "showInnerTitle": true,
      "operation": "IN",
      "titlePlacement": "hide",
      "elementType": "checkbox",
      "defaultValue": "example"
    }
    
Example
{
  "required": true,
  "showHint": true,
  "showTitle": true,
  "hint": "example",
  "accentType": "info",
  "fieldType": "example",
  "innerTitle": "example",
  "showInnerTitle": true,
  "operation": "IN",
  "titlePlacement": "hide",
  "multiselectable": true,
  "elementType": "select",
  "defaultValue": "example"
}

DashControlSourceDatasetDashControlSourceDataset

Dataset control source.

All of 2 types
  • Type: DashControlElement

    Example
    {
      "required": true,
      "showHint": true,
      "showTitle": true,
      "hint": "example",
      "accentType": "info",
      "fieldType": "example",
      "innerTitle": "example",
      "showInnerTitle": true,
      "operation": "IN",
      "titlePlacement": "hide",
      "multiselectable": true,
      "elementType": "select",
      "defaultValue": "example"
    }
    
  • Type: object

    datasetFieldId

    Type: string

    Source dataset field identifier.

    Min length: 1

    Example: example

    datasetId

    Type: string

    Source dataset identifier.

    Min length: 1

    Example: example

    datasetFieldType

    Type: string

    Source dataset field type.

    Enum: DIMENSION, MEASURE, PSEUDO, PARAMETER

    Example
    {
      "datasetId": "example",
      "datasetFieldId": "example",
      "datasetFieldType": "DIMENSION"
    }
    
Example
{
  "required": true,
  "showHint": true,
  "showTitle": true,
  "hint": "example",
  "accentType": "info",
  "fieldType": "example",
  "innerTitle": "example",
  "showInnerTitle": true,
  "operation": "IN",
  "titlePlacement": "hide",
  "multiselectable": true,
  "elementType": "select",
  "defaultValue": "example",
  "datasetId": "example",
  "datasetFieldId": "example",
  "datasetFieldType": "DIMENSION"
}

DashControlSourceManualDashControlSourceManual

Manual control source.

All of 2 types
  • Type: DashControlElement

    Example
    {
      "required": true,
      "showHint": true,
      "showTitle": true,
      "hint": "example",
      "accentType": "info",
      "fieldType": "example",
      "innerTitle": "example",
      "showInnerTitle": true,
      "operation": "IN",
      "titlePlacement": "hide",
      "multiselectable": true,
      "elementType": "select",
      "defaultValue": "example"
    }
    
  • Type: object

    fieldName

    Type: string

    Parameter name for the manual control.

    Min length: 1

    Example: example

    acceptableValues

    Any of 2 types
    • Type: object[]

      title

      Type: string

      Label for the allowed value.

      Example: example

      value

      Type: string

      Allowed control value.

      Example: example

      Example
      [
        {
          "value": "example",
          "title": "example"
        }
      ]
      
    • Type: object

      from

      Type: string

      Start of the allowed value range.

      Example: example

      to

      Type: string

      End of the allowed value range.

      Example: example

      Example
      {
        "from": "example",
        "to": "example"
      }
      

    Values accepted by the manual control.

    Example
    [
      {
        "value": "example",
        "title": "example"
      }
    ]
    
    Example
    {
      "fieldName": "example",
      "acceptableValues": [
        {
          "value": "example",
          "title": "example"
        }
      ]
    }
    
Example
{
  "required": true,
  "showHint": true,
  "showTitle": true,
  "hint": "example",
  "accentType": "info",
  "fieldType": "example",
  "innerTitle": "example",
  "showInnerTitle": true,
  "operation": "IN",
  "titlePlacement": "hide",
  "multiselectable": true,
  "elementType": "select",
  "defaultValue": "example",
  "fieldName": "example",
  "acceptableValues": [
    {
      "value": "example",
      "title": "example"
    }
  ]
}

DashLayoutItemDashLayoutItem

Name

Description

h

Type: number

Item height in grid units.

i

Type: string

Dashboard item identifier.

Min length: 1

Example: example

w

Type: number

Item width in grid units.

x

Type: number

Horizontal grid position.

y

Type: number

Vertical grid position.

parent

Type: string

Parent item identifier.

Example: example

Example
{
  "i": "example",
  "h": 0.5,
  "w": 0.5,
  "x": 0.5,
  "y": 0.5,
  "parent": "example"
}

DashConnectionDashConnection

Name

Description

from

Type: string

Source widget identifier.

Min length: 1

Example: example

kind

Type: string

Connection type.

Const: ignore

Example: example

to

Type: string

Target widget identifier.

Min length: 1

Example: example

Example
{
  "from": "example",
  "to": "example",
  "kind": "ignore"
}

ReportDataReportData

Name

Description

counter

Type: integer

Counter used to generate item identifiers.

Min value: 1

salt

Type: string

Salt used to generate item identifiers.

Min length: 1

Example: example

slideGroups

Type: object[]

aliases

Type: object

default

Type: string[][]

Groups of field names treated as the same parameter.

Example
[
  [
    "example",
    "example"
  ]
]

Field aliases used in the slide group.

Example
{
  "default": [
    [
      "example",
      "example"
    ]
  ]
}

connections

Type: DashConnection[]

Connections between slide group items.

Example
[
  {
    "from": "example",
    "to": "example",
    "kind": "ignore"
  }
]

id

Type: string

Slide group identifier.

Example: example

items

Type: array
One of 7 types
  • Type: object

    data

    Type: object

    text

    Type: string

    Text item content.

    Example: example

    autoHeight

    Type: boolean

    Whether to adjust the item height to its content.

    background

    Type: object

    color

    Type: string

    Legacy background color.

    Example: example

    enabled

    Type: boolean

    Whether the legacy background is enabled.

    Deprecated. Use backgroundSettings instead.

    Example
    {
      "enabled": true,
      "color": "example"
    }
    

    backgroundSettings

    Type: object

    color

    Any of 2 types
    • Type: DashColorByTheme

      Example
      {
        "light": "example",
        "dark": "example"
      }
      
    • Type: string

      Example: example

    Widget background color in hex.

    Example
    {
      "light": "example",
      "dark": "example"
    }
    

    Text item background settings.

    Example
    {
      "color": {
        "light": "example",
        "dark": "example"
      }
    }
    

    borderRadius

    Type: number

    Text item border radius.

    Text item data.

    Example
    {
      "text": "example",
      "autoHeight": true,
      "background": {
        "enabled": true,
        "color": "example"
      },
      "backgroundSettings": {
        "color": {
          "light": "example",
          "dark": "example"
        }
      },
      "borderRadius": 0.5
    }
    

    id

    Type: string

    Dashboard item identifier.

    Min length: 1

    Example: example

    namespace

    Type: string

    Item namespace.

    Const: default

    Example: example

    type

    Type: string

    Text item type.

    Const: text

    Example: example

    defaultOrderId

    Type: number

    Default item order.

    orderId

    Type: number

    Current item order.

    Example
    {
      "id": "example",
      "namespace": "default",
      "orderId": 0.5,
      "defaultOrderId": 0.5,
      "type": "text",
      "data": {
        "text": "example",
        "autoHeight": true,
        "background": {
          "enabled": true,
          "color": "example"
        },
        "backgroundSettings": {
          "color": {
            "light": "example",
            "dark": "example"
          }
        },
        "borderRadius": 0.5
      }
    }
    
  • Type: object

    data

    Type: object

    size

    Any of 2 types
    • Type: string

      Enum: xl, l, m, s, xs

    • Type: object

      fontSize

      Type: number

      Title font size.

      lineHeight

      Type: number

      Title line height.

      Example
      {
        "fontSize": 0.5,
        "lineHeight": 0.5
      }
      

    Title size settings.

    Example: xl

    text

    Type: string

    Title text.

    Example: example

    background

    Type: object

    color

    Type: string

    Legacy background color.

    Example: example

    enabled

    Type: boolean

    Whether the legacy background is enabled.

    Deprecated. Use backgroundSettings.

    Example
    {
      "enabled": true,
      "color": "example"
    }
    

    backgroundSettings

    Type: object

    color

    Any of 2 types
    • Type: DashColorByTheme

      Example
      {
        "light": "example",
        "dark": "example"
      }
      
    • Type: string

      Example: example

    Widget background color in hex.

    Example
    {
      "light": "example",
      "dark": "example"
    }
    

    Title background settings.

    Example
    {
      "color": {
        "light": "example",
        "dark": "example"
      }
    }
    

    borderRadius

    Type: number

    Title border radius.

    hint

    Type: object

    enabled

    Type: boolean

    Whether the title hint is enabled.

    text

    Type: string

    Title hint text.

    Example: example

    Title hint settings.

    Example
    {
      "enabled": true,
      "text": "example"
    }
    

    textColor

    Type: string

    Deprecated. Use textSettings.

    Example: example

    textSettings

    Type: object

    color

    Any of 2 types
    • Type: DashColorByTheme

      Example
      {
        "light": "example",
        "dark": "example"
      }
      
    • Type: string

      Example: example

    Title text color.

    Example
    {
      "light": "example",
      "dark": "example"
    }
    

    Title text settings.

    Example
    {
      "color": {
        "light": "example",
        "dark": "example"
      }
    }
    

    Title item data.

    Example
    {
      "text": "example",
      "size": "xl",
      "textColor": "example",
      "textSettings": {
        "color": {
          "light": "example",
          "dark": "example"
        }
      },
      "hint": {
        "enabled": true,
        "text": "example"
      },
      "background": {
        "enabled": true,
        "color": "example"
      },
      "backgroundSettings": {
        "color": null
      },
      "borderRadius": 0.5
    }
    

    id

    Type: string

    Dashboard item identifier.

    Min length: 1

    Example: example

    namespace

    Type: string

    Item namespace.

    Const: default

    Example: example

    type

    Type: string

    Title item type.

    Const: title

    Example: example

    defaultOrderId

    Type: number

    Default item order.

    orderId

    Type: number

    Current item order.

    Example
    {
      "id": "example",
      "namespace": "default",
      "orderId": 0.5,
      "defaultOrderId": 0.5,
      "type": "title",
      "data": {
        "text": "example",
        "size": "xl",
        "textColor": "example",
        "textSettings": {
          "color": {
            "light": "example",
            "dark": "example"
          }
        },
        "hint": {
          "enabled": true,
          "text": "example"
        },
        "background": {
          "enabled": true,
          "color": "example"
        },
        "backgroundSettings": {
          "color": null
        },
        "borderRadius": 0.5
      }
    }
    
  • Type: object

    data

    Type: object

    hideTitle

    Type: boolean

    Whether to hide the widget title.

    tabs

    Type: object[]

    chartId

    Type: string

    Chart identifier.

    Min length: 1

    Example: example

    id

    Type: string

    Widget tab identifier.

    Min length: 1

    Example: example

    params

    Type: object

    [additional]

    Type: DashStringDefaultValue

    Example: example

    Parameters passed to the chart.

    Example
    {}
    

    title

    Type: string

    Widget tab title.

    Min length: 1

    Example: example

    background

    Type: object

    color

    Type: string

    Legacy background color.

    Example: example

    enabled

    Type: boolean

    Whether the legacy background is enabled.

    Deprecated. Use backgroundSettings in data instead.

    Example
    {
      "enabled": true,
      "color": "example"
    }
    

    description

    Type: string

    Widget tab description.

    Example: example

    enableActionParams

    Type: boolean

    Whether chart actions can update parameters.

    enableDescription

    Type: boolean

    Whether the widget tab description is enabled.

    enableHint

    Type: boolean

    Whether the widget tab hint is enabled.

    hint

    Type: string

    Widget tab hint.

    Example: example

    isDefault

    Type: boolean

    Whether this is the default widget tab.

    Report widget tabs.

    Example
    [
      {
        "id": "example",
        "title": "example",
        "description": "example",
        "hint": "example",
        "enableHint": true,
        "enableDescription": true,
        "chartId": "example",
        "isDefault": true,
        "params": {},
        "enableActionParams": true,
        "background": {
          "enabled": true,
          "color": "example"
        }
      }
    ]
    

    backgroundSettings

    Type: object

    color

    Any of 2 types
    • Type: DashColorByTheme

      Example
      {
        "light": "example",
        "dark": "example"
      }
      
    • Type: string

      Example: example

    Widget background color in hex.

    Example
    {
      "light": "example",
      "dark": "example"
    }
    

    Widget background settings.

    Example
    {
      "color": {
        "light": "example",
        "dark": "example"
      }
    }
    

    borderRadius

    Type: number

    Widget border radius.

    Widget item data.

    Example
    {
      "hideTitle": true,
      "backgroundSettings": {
        "color": {
          "light": "example",
          "dark": "example"
        }
      },
      "borderRadius": 0.5,
      "tabs": [
        {
          "id": "example",
          "title": "example",
          "description": "example",
          "hint": "example",
          "enableHint": true,
          "enableDescription": true,
          "chartId": "example",
          "isDefault": true,
          "params": {},
          "enableActionParams": true,
          "background": {
            "enabled": true,
            "color": "example"
          }
        }
      ]
    }
    

    id

    Type: string

    Dashboard item identifier.

    Min length: 1

    Example: example

    namespace

    Type: string

    Item namespace.

    Const: default

    Example: example

    type

    Type: string

    Widget item type.

    Const: widget

    Example: example

    defaultOrderId

    Type: number

    Default item order.

    orderId

    Type: number

    Current item order.

    Example
    {
      "id": "example",
      "namespace": "default",
      "orderId": 0.5,
      "defaultOrderId": 0.5,
      "type": "widget",
      "data": {
        "hideTitle": true,
        "backgroundSettings": {
          "color": {
            "light": "example",
            "dark": "example"
          }
        },
        "borderRadius": 0.5,
        "tabs": [
          {
            "id": "example",
            "title": "example",
            "description": "example",
            "hint": "example",
            "enableHint": true,
            "enableDescription": true,
            "chartId": "example",
            "isDefault": true,
            "params": {},
            "enableActionParams": true,
            "background": {
              "enabled": true,
              "color": "example"
            }
          }
        ]
      }
    }
    
  • Type: object

    data

    Type: object

    src

    Type: string

    Image source URL.

    Example: example

    alt

    Type: string

    Alternative text for the image.

    Example: example

    backgroundSettings

    Type: object

    color

    Any of 2 types
    • Type: DashColorByTheme

      Example
      {
        "light": "example",
        "dark": "example"
      }
      
    • Type: string

      Example: example

    Widget background color in hex.

    Example
    {
      "light": "example",
      "dark": "example"
    }
    

    Image background settings.

    Example
    {
      "color": {
        "light": "example",
        "dark": "example"
      }
    }
    

    borderRadius

    Type: number

    Image border radius.

    preserveAspectRatio

    Type: boolean

    Whether to preserve the image aspect ratio.

    Image item data.

    Example
    {
      "src": "example",
      "alt": "example",
      "preserveAspectRatio": true,
      "backgroundSettings": {
        "color": {
          "light": "example",
          "dark": "example"
        }
      },
      "borderRadius": 0.5
    }
    

    id

    Type: string

    Dashboard item identifier.

    Min length: 1

    Example: example

    namespace

    Type: string

    Item namespace.

    Const: default

    Example: example

    type

    Type: string

    Image item type.

    Const: image

    Example: example

    defaultOrderId

    Type: number

    Default item order.

    orderId

    Type: number

    Current item order.

    Example
    {
      "id": "example",
      "namespace": "default",
      "orderId": 0.5,
      "defaultOrderId": 0.5,
      "type": "image",
      "data": {
        "src": "example",
        "alt": "example",
        "preserveAspectRatio": true,
        "backgroundSettings": {
          "color": {
            "light": "example",
            "dark": "example"
          }
        },
        "borderRadius": 0.5
      }
    }
    
  • Type: object

    data

    Type: object

    source

    Type: DashControlSourceExternal

    External control source.

    Example
    {
      "chartId": "example"
    }
    

    sourceType

    Type: string

    External control source type.

    Const: external

    Example: example

    title

    Type: string

    Control title.

    Min length: 1

    Example: example

    Control item data.

    Example
    {
      "title": "example",
      "sourceType": "external",
      "source": {
        "chartId": "example"
      }
    }
    

    defaults

    Type: object

    [additional]

    Type: DashStringDefaultValue

    Example: example

    Default control values.

    Example
    {}
    

    id

    Type: string

    Dashboard item identifier.

    Min length: 1

    Example: example

    namespace

    Type: string

    Item namespace.

    Const: default

    Example: example

    type

    Type: string

    Control item type.

    Const: control

    Example: example

    defaultOrderId

    Type: number

    Default item order.

    orderId

    Type: number

    Current item order.

    Example
    {
      "id": "example",
      "namespace": "default",
      "orderId": 0.5,
      "defaultOrderId": 0.5,
      "type": "control",
      "data": {
        "title": "example",
        "sourceType": "external",
        "source": {
          "chartId": "example"
        }
      },
      "defaults": {}
    }
    
  • Type: object

    data

    Type: object

    autoHeight

    Type: boolean

    Whether to adjust the group height to its content.

    buttonApply

    Type: boolean

    Whether to show the Apply button.

    buttonReset

    Type: boolean

    Whether to show the Reset button.

    group

    Type: array
    One of 2 types
    • Type: object

      id

      Type: string

      Control identifier.

      Min length: 1

      Example: example

      namespace

      Type: string

      Control namespace.

      Const: default

      Example: example

      source

      Type: DashControlSourceDataset

      Dataset control source.

      Example
      {
        "required": true,
        "showHint": true,
        "showTitle": true,
        "hint": "example",
        "accentType": "info",
        "fieldType": "example",
        "innerTitle": "example",
        "showInnerTitle": true,
        "operation": "IN",
        "titlePlacement": "hide",
        "multiselectable": true,
        "elementType": "select",
        "defaultValue": "example",
        "datasetId": "example",
        "datasetFieldId": "example",
        "datasetFieldType": "DIMENSION"
      }
      

      sourceType

      Type: string

      Dataset control source type.

      Const: dataset

      Example: example

      title

      Type: string

      Control title.

      Min length: 1

      Example: example

      defaults

      Type: object

      [additional]

      Type: DashStringDefaultValue

      Example: example

      Default control values.

      Example
      {}
      

      placementMode

      Type: string

      Control placement mode.

      Enum: auto, %, px

      width

      Type: string

      Control width.

      Example: example

      Example
      {
        "title": "example",
        "id": "example",
        "namespace": "default",
        "defaults": {},
        "placementMode": "auto",
        "width": "example",
        "sourceType": "dataset",
        "source": {
          "required": true,
          "showHint": true,
          "showTitle": true,
          "hint": "example",
          "accentType": "info",
          "fieldType": "example",
          "innerTitle": "example",
          "showInnerTitle": true,
          "operation": "IN",
          "titlePlacement": "hide",
          "multiselectable": true,
          "elementType": "select",
          "defaultValue": "example",
          "datasetId": "example",
          "datasetFieldId": "example",
          "datasetFieldType": "DIMENSION"
        }
      }
      
    • Type: object

      id

      Type: string

      Control identifier.

      Min length: 1

      Example: example

      namespace

      Type: string

      Control namespace.

      Const: default

      Example: example

      source

      Type: DashControlSourceManual

      Manual control source.

      Example
      {
        "required": true,
        "showHint": true,
        "showTitle": true,
        "hint": "example",
        "accentType": "info",
        "fieldType": "example",
        "innerTitle": "example",
        "showInnerTitle": true,
        "operation": "IN",
        "titlePlacement": "hide",
        "multiselectable": true,
        "elementType": "select",
        "defaultValue": "example",
        "fieldName": "example",
        "acceptableValues": [
          {
            "value": "example",
            "title": "example"
          }
        ]
      }
      

      sourceType

      Type: string

      Manual control source type.

      Const: manual

      Example: example

      title

      Type: string

      Control title.

      Min length: 1

      Example: example

      defaults

      Type: object

      [additional]

      Type: DashStringDefaultValue

      Example: example

      Default control values.

      Example
      {}
      

      placementMode

      Type: string

      Control placement mode.

      Enum: auto, %, px

      width

      Type: string

      Control width.

      Example: example

      Example
      {
        "title": "example",
        "id": "example",
        "namespace": "default",
        "defaults": {},
        "placementMode": "auto",
        "width": "example",
        "sourceType": "manual",
        "source": {
          "required": true,
          "showHint": true,
          "showTitle": true,
          "hint": "example",
          "accentType": "info",
          "fieldType": "example",
          "innerTitle": "example",
          "showInnerTitle": true,
          "operation": "IN",
          "titlePlacement": "hide",
          "multiselectable": true,
          "elementType": "select",
          "defaultValue": "example",
          "fieldName": "example",
          "acceptableValues": [
            {}
          ]
        }
      }
      

    Controls in the group.

    Example
    [
      {
        "title": "example",
        "id": "example",
        "namespace": "default",
        "defaults": {},
        "placementMode": "auto",
        "width": "example",
        "sourceType": "dataset",
        "source": {
          "datasetId": "example",
          "datasetFieldId": "example",
          "datasetFieldType": "DIMENSION"
        }
      }
    ]
    

    showGroupName

    Type: boolean

    Whether to show the control group name.

    groupName

    Type: string

    Control group name.

    Example: example

    updateControlsOnChange

    Type: boolean

    Whether controls update immediately after a value changes.

    Control group item data.

    Example
    {
      "autoHeight": true,
      "buttonApply": true,
      "buttonReset": true,
      "showGroupName": true,
      "groupName": "example",
      "updateControlsOnChange": true,
      "group": [
        {
          "title": "example",
          "id": "example",
          "namespace": "default",
          "defaults": {},
          "placementMode": "auto",
          "width": "example",
          "sourceType": "dataset",
          "source": null
        }
      ]
    }
    

    id

    Type: string

    Dashboard item identifier.

    Min length: 1

    Example: example

    namespace

    Type: string

    Item namespace.

    Const: default

    Example: example

    type

    Type: string

    Control group item type.

    Const: group_control

    Example: example

    defaultOrderId

    Type: number

    Default item order.

    orderId

    Type: number

    Current item order.

    Example
    {
      "id": "example",
      "namespace": "default",
      "orderId": 0.5,
      "defaultOrderId": 0.5,
      "type": "group_control",
      "data": {
        "autoHeight": true,
        "buttonApply": true,
        "buttonReset": true,
        "showGroupName": true,
        "groupName": "example",
        "updateControlsOnChange": true,
        "group": [
          {
            "title": "example",
            "id": "example",
            "namespace": "default",
            "defaults": {},
            "placementMode": "auto",
            "width": "example",
            "sourceType": "dataset",
            "source": null
          }
        ]
      }
    }
    
  • Type: object

    data

    Type: object

    hideTitle

    Type: boolean

    Whether to hide the insight widget title.

    prompt

    Type: string

    Prompt used to generate the widget.

    Min length: 1

    Example: example

    widgetTabId

    Type: string

    Neuro widget tab identifier.

    Min length: 1

    Example: example

    backgroundSettings

    Type: object

    color

    Any of 2 types
    • Type: DashColorByTheme

      Example
      {
        "light": "example",
        "dark": "example"
      }
      
    • Type: string

      Example: example

    Widget background color in hex.

    Example
    {
      "light": "example",
      "dark": "example"
    }
    

    Neuro widget background settings.

    Example
    {
      "color": {
        "light": "example",
        "dark": "example"
      }
    }
    

    borderRadius

    Type: number

    Insight widget border radius.

    hideActions

    Type: boolean

    Whether to hide insight widget actions.

    title

    Type: string

    Neuro widget title.

    Example: example

    Neuro widget item data.

    Example
    {
      "widgetTabId": "example",
      "title": "example",
      "prompt": "example",
      "hideTitle": true,
      "backgroundSettings": {
        "color": {
          "light": "example",
          "dark": "example"
        }
      },
      "borderRadius": 0.5,
      "hideActions": true
    }
    

    id

    Type: string

    Dashboard item identifier.

    Min length: 1

    Example: example

    namespace

    Type: string

    Item namespace.

    Const: default

    Example: example

    type

    Type: string

    Insight widget item type.

    Const: neuro_widget

    Example: example

    defaultOrderId

    Type: number

    Default item order.

    orderId

    Type: number

    Current item order.

    Example
    {
      "id": "example",
      "namespace": "default",
      "orderId": 0.5,
      "defaultOrderId": 0.5,
      "type": "neuro_widget",
      "data": {
        "widgetTabId": "example",
        "title": "example",
        "prompt": "example",
        "hideTitle": true,
        "backgroundSettings": {
          "color": {
            "light": "example",
            "dark": "example"
          }
        },
        "borderRadius": 0.5,
        "hideActions": true
      }
    }
    

Items in the slide group.

Example
[
  {
    "id": "example",
    "namespace": "default",
    "orderId": 0.5,
    "defaultOrderId": 0.5,
    "type": "text",
    "data": {
      "text": "example",
      "autoHeight": true,
      "background": {
        "enabled": true,
        "color": "example"
      },
      "backgroundSettings": {
        "color": null
      },
      "borderRadius": 0.5
    }
  }
]

layout

Type: DashLayoutItem[]

Item layout in the slide group.

Example
[
  {
    "i": "example",
    "h": 0.5,
    "w": 0.5,
    "x": 0.5,
    "y": 0.5,
    "parent": "example"
  }
]

Slide groups in the report.

Example
[
  {
    "id": "example",
    "items": [
      {
        "id": "example",
        "namespace": "default",
        "orderId": 0.5,
        "defaultOrderId": 0.5,
        "type": "text",
        "data": {}
      }
    ],
    "layout": [
      {
        "i": "example",
        "h": 0.5,
        "w": 0.5,
        "x": 0.5,
        "y": 0.5,
        "parent": "example"
      }
    ],
    "aliases": {
      "default": [
        [
          "example",
          "example"
        ]
      ]
    },
    "connections": [
      {
        "from": "example",
        "to": "example",
        "kind": "ignore"
      }
    ]
  }
]

slides

Type: object[]

id

Type: string

Slide identifier.

Min length: 1

Example: example

Report slides.

Min items: 1

Example
[
  {
    "id": "example"
  }
]

slideSettings

Type: object

[additional]

Type: object

backgroundColor

Type: string

Legacy report background color.

Example: example

backgroundSettings

Type: object

color

Any of 2 types
  • Type: DashColorByTheme

    Example
    {
      "light": "example",
      "dark": "example"
    }
    
  • Type: string

    Example: example

Widget background color in hex.

Example
{
  "light": "example",
  "dark": "example"
}

Report background settings.

Example
{
  "color": {
    "light": "example",
    "dark": "example"
  }
}

borderRadius

Type: number

Legacy widget border radius.

contrast

Type: string

Report contrast level.

Example: example

displayDefaultFooter

Type: string

Whether to show the default footer.

Example: example

displayLink

Type: string

Whether to show the footer link.

Example: example

displayOnFirstPage

Type: string

Whether to show the footer on the first page.

Example: example

displayPageNumber

Type: string

Whether to show page numbers.

Example: example

displayVisualGrid

Type: string

Whether to show the visual grid.

Example: example

footerLink

Type: string

Footer link URL.

Example: example

footerText

Type: string

Custom footer text.

Example: example

format

Type: string

Page format.

Example: example

orientation

Type: string

Page orientation.

Example: example

theme

Type: string

Report theme.

Example: example

widgetsSettings

Type: object

borderRadius

Type: number

Default widget border radius.

internalMarginsEnabled

Type: boolean

Whether widgets include internal margins.

Default visual settings for report widgets.

Example
{
  "borderRadius": 0.5,
  "internalMarginsEnabled": true
}
Example
{
  "backgroundColor": "example",
  "backgroundSettings": {
    "color": {
      "light": "example",
      "dark": "example"
    }
  },
  "borderRadius": 0.5,
  "widgetsSettings": {
    "borderRadius": 0.5,
    "internalMarginsEnabled": true
  },
  "theme": "example",
  "contrast": "example",
  "format": "example",
  "orientation": "example",
  "displayVisualGrid": "example",
  "displayDefaultFooter": "example",
  "footerText": "example",
  "displayLink": "example",
  "footerLink": "example",
  "displayOnFirstPage": "example",
  "displayPageNumber": "example"
}

Visual settings keyed by slide identifier.

Example
{}

slidesOrder

Type: string[]

Slide identifiers in display order.

Example
[
  "example"
]

version

Type: number

Report schema version.

Const: 1

visualSettings

Type: object

backgroundColor

Type: string

Legacy report background color.

Example: example

backgroundSettings

Type: object

color

Any of 2 types
  • Type: DashColorByTheme

    Example
    {
      "light": "example",
      "dark": "example"
    }
    
  • Type: string

    Example: example

Widget background color in hex.

Example
{
  "light": "example",
  "dark": "example"
}

Report background settings.

Example
{
  "color": {
    "light": "example",
    "dark": "example"
  }
}

borderRadius

Type: number

Legacy widget border radius.

contrast

Type: string

Report contrast level.

Example: example

displayDefaultFooter

Type: string

Whether to show the default footer.

Example: example

displayLink

Type: string

Whether to show the footer link.

Example: example

displayOnFirstPage

Type: string

Whether to show the footer on the first page.

Example: example

displayPageNumber

Type: string

Whether to show page numbers.

Example: example

displayVisualGrid

Type: string

Whether to show the visual grid.

Example: example

footerLink

Type: string

Footer link URL.

Example: example

footerText

Type: string

Custom footer text.

Example: example

format

Type: string

Page format.

Example: example

orientation

Type: string

Page orientation.

Example: example

theme

Type: string

Report theme.

Example: example

widgetsSettings

Type: object

borderRadius

Type: number

Default widget border radius.

internalMarginsEnabled

Type: boolean

Whether widgets include internal margins.

Default visual settings for report widgets.

Example
{
  "borderRadius": 0.5,
  "internalMarginsEnabled": true
}

Default report visual settings.

Example
{
  "backgroundColor": "example",
  "backgroundSettings": {
    "color": {
      "light": "example",
      "dark": "example"
    }
  },
  "borderRadius": 0.5,
  "widgetsSettings": {
    "borderRadius": 0.5,
    "internalMarginsEnabled": true
  },
  "theme": "example",
  "contrast": "example",
  "format": "example",
  "orientation": "example",
  "displayVisualGrid": "example",
  "displayDefaultFooter": "example",
  "footerText": "example",
  "displayLink": "example",
  "footerLink": "example",
  "displayOnFirstPage": "example",
  "displayPageNumber": "example"
}

accessDescription

Type: string

Custom message shown when access is denied.

Example: example

settings

Type: object

dependentSelectors

Type: boolean

Whether selectors can depend on each other.

enableAssistant

Type: boolean

Whether the report assistant is enabled.

loadOnlyVisibleCharts

Type: boolean

Whether to load only visible charts.

Report behavior settings.

Example
{
  "enableAssistant": true,
  "dependentSelectors": true,
  "loadOnlyVisibleCharts": true
}

supportDescription

Type: string

Custom message shown when contacting support.

Example: example

Example
{
  "counter": 1,
  "salt": "example",
  "version": 1,
  "slides": [
    {
      "id": "example"
    }
  ],
  "slideGroups": [
    {
      "id": "example",
      "items": [
        {}
      ],
      "layout": [
        {
          "i": "example",
          "h": 0.5,
          "w": 0.5,
          "x": 0.5,
          "y": 0.5,
          "parent": "example"
        }
      ],
      "aliases": {
        "default": [
          [
            null,
            null
          ]
        ]
      },
      "connections": [
        {
          "from": "example",
          "to": "example",
          "kind": "ignore"
        }
      ]
    }
  ],
  "slidesOrder": [
    "example"
  ],
  "visualSettings": {
    "backgroundColor": "example",
    "backgroundSettings": {
      "color": {
        "light": "example",
        "dark": "example"
      }
    },
    "borderRadius": 0.5,
    "widgetsSettings": {
      "borderRadius": 0.5,
      "internalMarginsEnabled": true
    },
    "theme": "example",
    "contrast": "example",
    "format": "example",
    "orientation": "example",
    "displayVisualGrid": "example",
    "displayDefaultFooter": "example",
    "footerText": "example",
    "displayLink": "example",
    "footerLink": "example",
    "displayOnFirstPage": "example",
    "displayPageNumber": "example"
  },
  "slideSettings": {},
  "settings": {
    "enableAssistant": true,
    "dependentSelectors": true,
    "loadOnlyVisibleCharts": true
  },
  "supportDescription": "example",
  "accessDescription": "example"
}

DashMetaDashMeta

Type: object | null

Example
{}

EntryAnnotationArgEntryAnnotationArg

Name

Description

description

Type: string

Description of the entry.

Example: example

Example
{
  "description": "example"
}

EntryLocationIdentifiersEntryLocationIdentifiers

Name

Description

key

Type: string

Entry key when creating the entry in a folder.

Example: example

name

Type: string

Entry name when creating the entry in a workbook.

Example: example

workbookId

Type: string

ID of the workbook where the entry should be created.

Example: example

Example
{
  "key": "example",
  "workbookId": "example",
  "name": "example"
}

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "entry": {
    "annotation": {
      "description": "example"
    },
    "createdBy": "example",
    "createdAt": "example",
    "updatedBy": "example",
    "updatedAt": "example",
    "revUpdatedBy": "example",
    "revUpdatedAt": "example",
    "data": {
      "counter": 1,
      "salt": "example",
      "version": 1,
      "slides": [
        {
          "id": "example"
        }
      ],
      "slideGroups": [
        {
          "id": "example",
          "items": [
            null
          ],
          "layout": [
            null
          ],
          "aliases": {},
          "connections": [
            null
          ]
        }
      ],
      "slidesOrder": [
        "example"
      ],
      "visualSettings": {
        "backgroundColor": "example",
        "backgroundSettings": {
          "color": null
        },
        "borderRadius": 0.5,
        "widgetsSettings": {
          "borderRadius": 0.5,
          "internalMarginsEnabled": true
        },
        "theme": "example",
        "contrast": "example",
        "format": "example",
        "orientation": "example",
        "displayVisualGrid": "example",
        "displayDefaultFooter": "example",
        "footerText": "example",
        "displayLink": "example",
        "footerLink": "example",
        "displayOnFirstPage": "example",
        "displayPageNumber": "example"
      },
      "slideSettings": {},
      "settings": {
        "enableAssistant": true,
        "dependentSelectors": true,
        "loadOnlyVisibleCharts": true
      },
      "supportDescription": "example",
      "accessDescription": "example"
    },
    "entryId": "example",
    "key": "example",
    "scope": "report",
    "hidden": true,
    "meta": {},
    "publishedId": "example",
    "savedId": "example",
    "revId": "example",
    "tenantId": "example",
    "type": "",
    "workbookId": "example",
    "collectionId": "example",
    "version": 1,
    "public": false,
    "links": {}
  },
  "permissions": {
    "execute": true,
    "read": true,
    "edit": true,
    "admin": true
  }
}

Name

Description

entry

Type: ReportV1

Example
{
  "annotation": {
    "description": "example"
  },
  "createdBy": "example",
  "createdAt": "example",
  "updatedBy": "example",
  "updatedAt": "example",
  "revUpdatedBy": "example",
  "revUpdatedAt": "example",
  "data": {
    "counter": 1,
    "salt": "example",
    "version": 1,
    "slides": [
      {
        "id": "example"
      }
    ],
    "slideGroups": [
      {
        "id": "example",
        "items": [
          null
        ],
        "layout": [
          {}
        ],
        "aliases": {
          "default": [
            null
          ]
        },
        "connections": [
          {}
        ]
      }
    ],
    "slidesOrder": [
      "example"
    ],
    "visualSettings": {
      "backgroundColor": "example",
      "backgroundSettings": {
        "color": {}
      },
      "borderRadius": 0.5,
      "widgetsSettings": {
        "borderRadius": 0.5,
        "internalMarginsEnabled": true
      },
      "theme": "example",
      "contrast": "example",
      "format": "example",
      "orientation": "example",
      "displayVisualGrid": "example",
      "displayDefaultFooter": "example",
      "footerText": "example",
      "displayLink": "example",
      "footerLink": "example",
      "displayOnFirstPage": "example",
      "displayPageNumber": "example"
    },
    "slideSettings": {},
    "settings": {
      "enableAssistant": true,
      "dependentSelectors": true,
      "loadOnlyVisibleCharts": true
    },
    "supportDescription": "example",
    "accessDescription": "example"
  },
  "entryId": "example",
  "key": "example",
  "scope": "report",
  "hidden": true,
  "meta": {},
  "publishedId": "example",
  "savedId": "example",
  "revId": "example",
  "tenantId": "example",
  "type": "",
  "workbookId": "example",
  "collectionId": "example",
  "version": 1,
  "public": false,
  "links": {}
}

permissions

Type: EntryPermissions

Example
{
  "execute": true,
  "read": true,
  "edit": true,
  "admin": true
}

EntryAnnotationEntryAnnotation

Type: object | null

Example
{
  "description": "example"
}

ReportV1ReportV1

Name

Description

collectionId

Type: string | null

Example: example

createdAt

Type: string

Example: example

createdBy

Type: string

Example: example

data

Type: ReportData

Example
{
  "counter": 1,
  "salt": "example",
  "version": 1,
  "slides": [
    {
      "id": "example"
    }
  ],
  "slideGroups": [
    {
      "id": "example",
      "items": [
        {}
      ],
      "layout": [
        {
          "i": "example",
          "h": 0.5,
          "w": 0.5,
          "x": 0.5,
          "y": 0.5,
          "parent": "example"
        }
      ],
      "aliases": {
        "default": [
          [
            null,
            null
          ]
        ]
      },
      "connections": [
        {
          "from": "example",
          "to": "example",
          "kind": "ignore"
        }
      ]
    }
  ],
  "slidesOrder": [
    "example"
  ],
  "visualSettings": {
    "backgroundColor": "example",
    "backgroundSettings": {
      "color": {
        "light": "example",
        "dark": "example"
      }
    },
    "borderRadius": 0.5,
    "widgetsSettings": {
      "borderRadius": 0.5,
      "internalMarginsEnabled": true
    },
    "theme": "example",
    "contrast": "example",
    "format": "example",
    "orientation": "example",
    "displayVisualGrid": "example",
    "displayDefaultFooter": "example",
    "footerText": "example",
    "displayLink": "example",
    "footerLink": "example",
    "displayOnFirstPage": "example",
    "displayPageNumber": "example"
  },
  "slideSettings": {},
  "settings": {
    "enableAssistant": true,
    "dependentSelectors": true,
    "loadOnlyVisibleCharts": true
  },
  "supportDescription": "example",
  "accessDescription": "example"
}

entryId

Type: string

Example: example

hidden

Type: boolean

key

Type: string

Example: example

meta

Type: DashMeta

Example
{}

public

Type: boolean

Const: false

publishedId

Type: string | null

Example: example

revId

Type: string

Example: example

savedId

Type: string

Example: example

scope

Type: string

Const: report

Example: example

tenantId

Type: string

Example: example

type

Type: string

Const: ``

Example: example

updatedAt

Type: string

Example: example

updatedBy

Type: string

Example: example

version

Type: number

Const: 1

workbookId

Type: string | null

Example: example

annotation

Type: EntryAnnotation

Example
{
  "description": "example"
}

links

Type: object | null

Example
{}

revUpdatedAt

Type: string

Example: example

revUpdatedBy

Type: string

Example: example

Example
{
  "annotation": {
    "description": "example"
  },
  "createdBy": "example",
  "createdAt": "example",
  "updatedBy": "example",
  "updatedAt": "example",
  "revUpdatedBy": "example",
  "revUpdatedAt": "example",
  "data": {
    "counter": 1,
    "salt": "example",
    "version": 1,
    "slides": [
      {
        "id": "example"
      }
    ],
    "slideGroups": [
      {
        "id": "example",
        "items": [
          null
        ],
        "layout": [
          {}
        ],
        "aliases": {
          "default": [
            null
          ]
        },
        "connections": [
          {}
        ]
      }
    ],
    "slidesOrder": [
      "example"
    ],
    "visualSettings": {
      "backgroundColor": "example",
      "backgroundSettings": {
        "color": {}
      },
      "borderRadius": 0.5,
      "widgetsSettings": {
        "borderRadius": 0.5,
        "internalMarginsEnabled": true
      },
      "theme": "example",
      "contrast": "example",
      "format": "example",
      "orientation": "example",
      "displayVisualGrid": "example",
      "displayDefaultFooter": "example",
      "footerText": "example",
      "displayLink": "example",
      "footerLink": "example",
      "displayOnFirstPage": "example",
      "displayPageNumber": "example"
    },
    "slideSettings": {},
    "settings": {
      "enableAssistant": true,
      "dependentSelectors": true,
      "loadOnlyVisibleCharts": true
    },
    "supportDescription": "example",
    "accessDescription": "example"
  },
  "entryId": "example",
  "key": "example",
  "scope": "report",
  "hidden": true,
  "meta": {},
  "publishedId": "example",
  "savedId": "example",
  "revId": "example",
  "tenantId": "example",
  "type": "",
  "workbookId": "example",
  "collectionId": "example",
  "version": 1,
  "public": false,
  "links": {}
}

EntryPermissionsEntryPermissions

Name

Description

admin

Type: boolean

Indicates if there are permissions for admin.

edit

Type: boolean

Indicates if there are permissions to edit.

execute

Type: boolean

Indicates if there are permissions to execute.

read

Type: boolean

Indicates if there are permissions to read.

Example
{
  "execute": true,
  "read": true,
  "edit": true,
  "admin": true
}

Was the article helpful?

Previous
Get report
Next
Update report
© 2026 Direct Cursus Technology L.L.C.